Loading...
Searching...
No Matches
XrdPosixXrootd.cc File Reference
`#include <cerrno>`
`#include <fcntl.h>`
`#include <iostream>`
`#include <cstdio>`
`#include <sys/time.h>`
`#include <sys/param.h>`
`#include <sys/resource.h>`
`#include <sys/uio.h>`
`#include "XrdVersion.hh"`
`#include "Xrd/XrdScheduler.hh"`
`#include "XrdCl/XrdClDefaultEnv.hh"`
`#include "XrdCl/XrdClFileSystem.hh"`
`#include "XrdCl/XrdClFile.hh"`
`#include "XrdCl/XrdClURL.hh"`
`#include "XrdCl/XrdClXRootDResponses.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdOuc/XrdOucCache.hh"`
`#include "XrdOuc/XrdOucECMsg.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucName2Name.hh"`
`#include "XrdOuc/XrdOucPsx.hh"`
`#include "XrdOuc/XrdOucPrivateUtils.hh"`
`#include "XrdPosix/XrdPosixAdmin.hh"`
`#include "XrdPosix/XrdPosixCallBack.hh"`
`#include "XrdPosix/XrdPosixConfig.hh"`
`#include "XrdPosix/XrdPosixDir.hh"`
`#include "XrdPosix/XrdPosixFile.hh"`
`#include "XrdPosix/XrdPosixFileRH.hh"`
`#include "XrdPosix/XrdPosixInfo.hh"`
`#include "XrdPosix/XrdPosixMap.hh"`
`#include "XrdPosix/XrdPosixPrepIO.hh"`
`#include "XrdPosix/XrdPosixStats.hh"`
`#include "XrdPosix/XrdPosixTrace.hh"`
`#include "XrdPosix/XrdPosixXrootd.hh"`
`#include "XrdPosix/XrdPosixXrootdPath.hh"`
`#include "XrdSys/XrdSysTrace.hh"`
Include dependency graph for XrdPosixXrootd.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdPosixGlobals

## Functions

XrdOucECMsg | XrdPosixGlobals::ecMsg ("[posix]")
XrdSysTrace | XrdPosixGlobals::Trace ("Posix", 0,(getenv("XRDPOSIX_DEBUG") ? TRACE_Debug :0))
| XrdVERSIONINFO (XrdPosix, XrdPosix)

## Function Documentation

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdPosix | ,
|  | XrdPosix | )